{"id":31993,"date":"2021-12-06T12:01:38","date_gmt":"2021-12-06T12:01:38","guid":{"rendered":"https:\/\/developer.kore.ai\/v9-1\/?p=31993"},"modified":"2021-12-06T12:01:38","modified_gmt":"2021-12-06T12:01:38","slug":"bot-publish-status-api","status":"publish","type":"post","link":"https:\/\/developer.kore.ai\/v9-1\/docs\/bots\/api-guide\/bot-publish-status-api\/","title":{"rendered":"Bot Publish Status &#8211; API"},"content":{"rendered":"<section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p><span style=\"font-weight: 400;\">Gets the publish status of the ongoing bot or the last completed status request of the bot. Refer here for initiating <a href=\"\/docs\/bots\/api-guide\/publish-bot-api\/\">Publish Bot API<\/a>.<\/span><\/p>\n<p class=\"note\">To use this API, app needs the Admin API Scope of <em>Publish Status<\/em> under <em>Bot Publish<\/em>.<\/p>\n<p><b>GET<\/b><code>https:\/\/{{host}}\/api\/public\/bot\/{{BotID}}\/publish\/status<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_medium\"><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Authorization\">Authorization<\/span><\/h3>\n<p>Invoke the API with JWT in the header with the following syntax:<\/p>\n<p><code>auth: {{JWT}}<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_medium\"><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Query_Parameters\">Query Parameters<\/span><\/h3>\n<table>\n<thead>\n<tr>\n<th>Parameter<\/th>\n<th>Description<\/th>\n<\/tr>\n<\/thead>\n<tbody>\n<tr>\n<td><span style=\"font-weight: 400;\">host<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Environment URL, for example,<code>https:\/\/bots.kore.ai<\/code><\/span><\/td>\n<\/tr>\n<tr>\n<td>BotID<\/td>\n<td><span style=\"font-weight: 400;\">Bot ID or Stream ID. You can access it from the General Settings page of the bot.<\/span><\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_medium\"><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Response_content_type\">Response content type<\/span><\/h3>\n<p><code>application\/json<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_medium\"><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Sample_Request\">Sample Request<\/span><\/h3>\n<pre>curl -X GET \\\r\n  https:\/\/{{host}}\/api\/1.1\/public\/bot\/{{BotID}}\/publish\/status\/ \\\r\n  -H 'Auth: {{YOUR_JWT_ACCESS_TOKEN}}' \\\r\n<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_medium\"><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Sample_Response\">Sample Response<\/span><\/h3>\n<pre>{\r\n    \"_id\": \"ber-xxxxx-xxx-xxx-xxx-xxxxx\",\r\n    \"jobType\": \"PUBLISH_BOT\",\r\n    \"streamId\": \"st-xxxxx-xxx-xxx-xxx-xxxxx\",\r\n    \"__v\": 0,\r\n    \"action\": \"RUN\",\r\n    \"createdBy\": \"u-xxxxx-xxx-xxx-xxx-xxxxx\",\r\n    \"percentageComplete\": 100,\r\n    \"requestedTime\": \"2021-12-01T09:19:04.483Z\",\r\n    \"status\": \"successful\",      \r\n    \"lastModifiedOn\": \"2021-12-01T09:19:05.808Z\",\r\n    \"initiatedOn\": \"2021-12-01T09:19:04.550Z\",\r\n    \"statusSummary\": [\r\n       {\r\n         \"resourceId\": \"SETTINGS\",\r\n         \"resourceType\": \"SETTINGS\",\r\n         \"name\": \"Settings\",\r\n         \"modules\": [\r\n             \"general\",\r\n             \"bot_variables\",\r\n             \"pii\",\r\n             \"ivr\",\r\n             \"hold_resume\",\r\n             \"custom_script\",\r\n             \"advanced\"\r\n           ],\r\n      \"status\": \"SUCCESS\"\r\n    },\r\n    {\r\n      \"resourceId\": \"NL\",\r\n      \"resourceType\": \"NL\",\r\n      \"name\": \"Natural Language\",\r\n      \"modules\": [\r\n           \"nl_model\",\r\n           \"settings\"\r\n           ],\r\n        \"status\": \"SUCCESS\"\r\n    }\r\n  ]\r\n}\r\n<\/pre>\n<p><strong>Note<\/strong>: The possible values for the &#8216;status&#8217; field are &#8211; SUCCESSFUL, FAILED or INPROGRESS.<\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<\/div><\/div><\/div><\/div><\/div><\/section>\n","protected":false},"excerpt":{"rendered":"Gets the publish status of the ongoing bot or the last completed status request of the bot. Refer here for initiating Publish Bot API. To use this API, app needs the Admin API Scope of Publish Status under Bot Publish. GEThttps:\/\/{{host}}\/api\/public\/bot\/{{BotID}}\/publish\/status Authorization Invoke the API with JWT in the header with the following syntax: auth:...","protected":false},"author":17,"featured_media":0,"comment_status":"open","ping_status":"open","sticky":false,"template":"","format":"standard","meta":{"footnotes":""},"categories":[17],"tags":[],"class_list":["post-31993","post","type-post","status-publish","format-standard","hentry","category-api-guide"],"_links":{"self":[{"href":"https:\/\/developer.kore.ai\/v9-1\/wp-json\/wp\/v2\/posts\/31993","targetHints":{"allow":["GET"]}}],"collection":[{"href":"https:\/\/developer.kore.ai\/v9-1\/wp-json\/wp\/v2\/posts"}],"about":[{"href":"https:\/\/developer.kore.ai\/v9-1\/wp-json\/wp\/v2\/types\/post"}],"author":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v9-1\/wp-json\/wp\/v2\/users\/17"}],"replies":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v9-1\/wp-json\/wp\/v2\/comments?post=31993"}],"version-history":[{"count":1,"href":"https:\/\/developer.kore.ai\/v9-1\/wp-json\/wp\/v2\/posts\/31993\/revisions"}],"predecessor-version":[{"id":31994,"href":"https:\/\/developer.kore.ai\/v9-1\/wp-json\/wp\/v2\/posts\/31993\/revisions\/31994"}],"wp:attachment":[{"href":"https:\/\/developer.kore.ai\/v9-1\/wp-json\/wp\/v2\/media?parent=31993"}],"wp:term":[{"taxonomy":"category","embeddable":true,"href":"https:\/\/developer.kore.ai\/v9-1\/wp-json\/wp\/v2\/categories?post=31993"},{"taxonomy":"post_tag","embeddable":true,"href":"https:\/\/developer.kore.ai\/v9-1\/wp-json\/wp\/v2\/tags?post=31993"}],"curies":[{"name":"wp","href":"https:\/\/api.w.org\/{rel}","templated":true}]}}